public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/mpg123/
Date: Wed, 28 Feb 2018 09:29:06 +0000 (UTC)	[thread overview]
Message-ID: <1519810129.ba71f33ff7c203d087eb093c60f03c449d6374dc.polynomial-c@gentoo> (raw)

commit:     ba71f33ff7c203d087eb093c60f03c449d6374dc
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 28 09:10:50 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Feb 28 09:28:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba71f33f

media-sound/mpg123: Bump to version 1.25.10

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 media-sound/mpg123/Manifest              |   1 +
 media-sound/mpg123/mpg123-1.25.10.ebuild | 107 +++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/media-sound/mpg123/Manifest b/media-sound/mpg123/Manifest
index 40f6c8b0b4b..632b6bea911 100644
--- a/media-sound/mpg123/Manifest
+++ b/media-sound/mpg123/Manifest
@@ -1,3 +1,4 @@
+DIST mpg123-1.25.10.tar.bz2 921219 BLAKE2B 04bfbe8915e3943ed42cc2d3597b0bd9c4686f77ee699f5845e7d1e905022206724cf23d6b0420a36e64b232f840dd9367f46f3c00dc2fe6256f44e8b83fa5b2 SHA512 a33666ae4aca7e7c1a93a6414d8c525ec19044c54f712d578180147d88e63033f7af2370b9ad22960cc3a0b454f15967b7a831cccc97e034c8855f70cdf1ab09
 DIST mpg123-1.25.6.tar.bz2 919169 BLAKE2B 7b330d67465f332f608fa7efbfbfe1bbe69f8912a5678f72c56080b2deb44407d66bac6af23fb8c1359373eb90966ba67901235555f1776a00dc27e66167b0a5 SHA512 0b129c38c19462f7fbe3f56ea2b856222f8a1a3ba76ef8109ca759c9a9c668432cc0ec76059f9a7a3c37228ce615e4c628c7de3b1663073302cc7c8fc93f249c
 DIST mpg123-1.25.7.tar.bz2 920705 BLAKE2B 4d70c89235058c5da145d1b38d76e5af166681befc741b17ed64d60099ada95b164399a344aa89099b5ff36a4f56cf36cafa0910dc02eb7dcfc9634f1a048a0d SHA512 4e0972149ce4f792cc361d96d638551eb5184942465e69713202d0830a0a54b33e3effe2e460683b996024772edba5e0be341048b9d0c73dace557c640d4414e
 DIST mpg123-1.25.8.tar.bz2 920677 BLAKE2B bbffa9fa36c40557abb6c70af942b63a43739462c86a22839363b36a39e1a2f16ce3f4e5462f9be9cea2addda1b46af6fdd58b24b5a0b31949efc604ef475c19 SHA512 f226317dddb07841a13753603fa13c0a867605a5a051626cb30d45cfba266d3d4296f5b8254f65b403bb5eef6addce1784ae8829b671a746854785cda1bad203

diff --git a/media-sound/mpg123/mpg123-1.25.10.ebuild b/media-sound/mpg123/mpg123-1.25.10.ebuild
new file mode 100644
index 00000000000..8882ebf1b0d
--- /dev/null
+++ b/media-sound/mpg123/mpg123-1.25.10.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic toolchain-funcs libtool multilib-minimal
+
+DESCRIPTION="a realtime MPEG 1.0/2.0/2.5 audio player for layers 1, 2 and 3"
+HOMEPAGE="https://www.mpg123.org/"
+SRC_URI="https://www.mpg123.org/download/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_3dnow cpu_flags_x86_3dnowext alsa altivec coreaudio int-quality ipv6 jack cpu_flags_x86_mmx nas oss portaudio pulseaudio sdl cpu_flags_x86_sse"
+
+# No MULTILIB_USEDEP here since we only build libmpg123 for non native ABIs.
+RDEPEND="app-eselect/eselect-mpg123
+	dev-libs/libltdl:0
+	alsa? ( media-libs/alsa-lib )
+	jack? ( virtual/jack )
+	nas? ( media-libs/nas )
+	portaudio? ( media-libs/portaudio )
+	pulseaudio? ( media-sound/pulseaudio )
+	sdl? ( media-libs/libsdl )
+	abi_x86_32? (
+		!<=app-emulation/emul-linux-x86-soundlibs-20130224-r9
+		!app-emulation/emul-linux-x86-soundlibs[-abi_x86_32(-)]
+	)"
+DEPEND="${RDEPEND}
+	sys-devel/libtool
+	virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog NEWS NEWS.libmpg123 README )
+
+pkg_setup() {
+	# Build fails without -D_GNU_SOURCE like this:
+	# error: ‘struct hostent’ has no member named ‘h_addr’
+	append-cflags -D_GNU_SOURCE
+}
+
+src_prepare() {
+	default
+	elibtoolize # for Darwin bundles
+}
+
+multilib_src_configure() {
+	local _audio=dummy
+	local _output=dummy
+	local _cpu=generic_fpu
+
+	if $(multilib_is_native_abi) ; then
+		for flag in nas portaudio sdl oss jack alsa pulseaudio coreaudio; do
+			if use ${flag}; then
+				_audio+=" ${flag/pulseaudio/pulse}"
+				_output=${flag/pulseaudio/pulse}
+			fi
+		done
+	fi
+
+	use altivec && _cpu=altivec
+
+	if [[ $(tc-arch) == amd64 || ${ARCH} == x64-* ]]; then
+		use cpu_flags_x86_sse && _cpu=x86-64
+	elif use x86 && gcc-specs-pie ; then
+		# Don't use any mmx, 3dnow, sse and 3dnowext #bug 164504
+		_cpu=generic_fpu
+	elif use x86-macos ; then
+		# ASM doesn't work quite as expected with the Darwin linker
+		_cpu=generic_fpu
+	else
+		use cpu_flags_x86_mmx && _cpu=mmx
+		use cpu_flags_x86_3dnow && _cpu=3dnow
+		use cpu_flags_x86_sse && _cpu=x86
+		use cpu_flags_x86_3dnowext && _cpu=x86
+	fi
+
+	local myconf=""
+	multilib_is_native_abi || myconf="${myconf} --disable-modules"
+
+	ECONF_SOURCE="${S}" econf \
+		--with-optimization=0 \
+		--with-audio="${_audio}" \
+		--with-default-audio=${_output} \
+		--with-cpu=${_cpu} \
+		--enable-network \
+		$(use_enable ipv6) \
+		--enable-int-quality=$(usex int-quality) \
+		${myconf}
+
+	if ! $(multilib_is_native_abi) ; then
+		sed -i -e 's:src doc:src/libmpg123:' Makefile || die
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	mv "${ED}"/usr/bin/mpg123{,-mpg123}
+	find "${ED}" -name '*.la' -exec sed -i -e "/^dependency_libs/s:=.*:='':" {} +
+}
+
+pkg_postinst() {
+	eselect mpg123 update ifunset
+}
+
+pkg_postrm() {
+	eselect mpg123 update ifunset
+}


             reply	other threads:[~2018-02-28  9:29 UTC|newest]

Thread overview: 249+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-28  9:29 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-06  9:06 [gentoo-commits] repo/gentoo:master commit in: media-sound/mpg123/ Sam James
2024-01-06  9:06 Sam James
2024-01-06  9:06 Sam James
2024-01-06  9:06 Sam James
2023-11-22 18:01 Sam James
2023-11-14 10:44 Miroslav Šulc
2023-11-10 20:58 Arthur Zamarin
2023-11-10 20:58 Arthur Zamarin
2023-11-10 15:09 Arthur Zamarin
2023-11-10 15:09 Arthur Zamarin
2023-11-10 15:09 Arthur Zamarin
2023-11-10 15:09 Arthur Zamarin
2023-11-10 12:01 Arthur Zamarin
2023-10-11  7:44 Miroslav Šulc
2023-09-03 16:39 Sam James
2023-09-03 16:39 Sam James
2023-09-03 14:19 Sam James
2023-09-03 14:17 Sam James
2023-09-03 14:17 Sam James
2023-08-04  6:08 Miroslav Šulc
2023-08-04  6:01 Miroslav Šulc
2023-08-03 10:28 Arthur Zamarin
2023-04-22 16:00 Arthur Zamarin
2023-04-21 14:24 Sam James
2023-04-21  8:20 Sam James
2023-04-21  8:07 Sam James
2023-04-21  8:07 Sam James
2023-04-21  8:07 Sam James
2023-03-22  5:59 Miroslav Šulc
2023-03-05  8:59 Miroslav Šulc
2023-03-04 11:22 Arthur Zamarin
2023-02-20 20:11 Arthur Zamarin
2023-02-16 10:01 Sam James
2023-01-16 10:46 Miroslav Šulc
2022-12-17  9:42 Miroslav Šulc
2022-12-15 20:17 Arthur Zamarin
2022-12-15 19:58 Arthur Zamarin
2022-12-15 16:51 Arthur Zamarin
2022-12-15 16:51 Arthur Zamarin
2022-12-15 16:51 Arthur Zamarin
2022-12-15 16:51 Arthur Zamarin
2022-12-15 16:51 Arthur Zamarin
2022-11-14 14:50 Alexis Ballier
2022-09-29  4:53 Miroslav Šulc
2022-09-28  6:55 Agostino Sarubbo
2022-09-28  6:54 Agostino Sarubbo
2022-09-28  6:53 Agostino Sarubbo
2022-09-28  6:53 Agostino Sarubbo
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:30 Jakov Smolić
2022-08-28 10:03 James Le Cuirot
2022-08-16  5:44 Miroslav Šulc
2022-08-15  7:46 Agostino Sarubbo
2022-08-13  8:00 Agostino Sarubbo
2022-08-13  7:08 Agostino Sarubbo
2022-08-13  6:58 Agostino Sarubbo
2022-08-13  6:12 Arthur Zamarin
2022-08-13  5:40 Arthur Zamarin
2022-08-13  5:40 Arthur Zamarin
2022-08-09  5:06 Miroslav Šulc
2022-07-30  4:01 Miroslav Šulc
2022-07-29  8:01 Agostino Sarubbo
2022-07-29  7:59 Agostino Sarubbo
2022-07-27 20:09 Sam James
2022-07-27  8:11 Sam James
2022-07-27  8:11 Sam James
2022-07-27  8:11 Sam James
2022-07-27  8:11 Sam James
2022-07-13  3:24 Miroslav Šulc
2022-06-27  3:41 Miroslav Šulc
2022-05-19  5:08 WANG Xuerui
2022-01-20 10:29 Miroslav Šulc
2022-01-19 22:43 Sam James
2022-01-18 12:26 Sam James
2022-01-13  0:34 Sam James
2022-01-13  0:32 Sam James
2022-01-13  0:32 Sam James
2022-01-12 17:08 Jakov Smolić
2022-01-12 11:41 Jakov Smolić
2021-12-13  7:29 Miroslav Šulc
2021-11-24  9:22 Miroslav Šulc
2021-11-24  9:08 Agostino Sarubbo
2021-11-23 17:38 Sam James
2021-11-23 17:02 Sam James
2021-11-23 10:49 Sam James
2021-11-23 10:48 Sam James
2021-11-23 10:48 Sam James
2021-11-23  9:12 Jakov Smolić
2021-10-24  7:10 Miroslav Šulc
2021-10-22  8:39 Miroslav Šulc
2021-10-10 17:03 Miroslav Šulc
2021-10-10 15:38 Agostino Sarubbo
2021-10-10 15:35 Agostino Sarubbo
2021-10-10 15:34 Agostino Sarubbo
2021-10-10 15:33 Agostino Sarubbo
2021-10-09 19:18 Sam James
2021-10-08 18:25 Sam James
2021-10-08 18:25 Sam James
2021-10-02 17:24 Miroslav Šulc
2021-10-02 15:43 Sam James
2021-10-01 23:42 Sam James
2021-09-22  6:58 Agostino Sarubbo
2021-09-21 16:35 Sam James
2021-09-21  6:35 Agostino Sarubbo
2021-09-20 18:26 Sam James
2021-09-20 18:26 Sam James
2021-09-08  0:18 Sam James
2021-08-14  4:27 Sam James
2021-08-14  3:48 Sam James
2021-08-12  5:33 Miroslav Šulc
2021-08-11 19:11 Sam James
2021-08-11  6:41 Agostino Sarubbo
2021-08-11  0:12 Sam James
2021-08-11  0:04 Sam James
2021-07-14  5:18 Miroslav Šulc
2021-07-14  3:12 Sam James
2021-07-13  4:02 Sam James
2021-07-12 22:55 Lars Wendler
2021-07-12 22:55 Lars Wendler
2021-07-10 14:29 Miroslav Šulc
2021-07-09  6:26 Agostino Sarubbo
2021-07-08  6:21 Agostino Sarubbo
2021-07-08  3:53 Sam James
2021-07-08  3:53 Sam James
2021-07-02 16:00 Lars Wendler
2021-06-13 15:40 Miroslav Šulc
2021-06-13 12:38 Sam James
2021-06-09  6:25 Agostino Sarubbo
2021-06-09  6:24 Agostino Sarubbo
2021-06-09  6:23 Agostino Sarubbo
2021-06-08 23:25 Sam James
2021-06-08 23:25 Sam James
2021-06-08 23:25 Sam James
2021-06-06  8:26 Miroslav Šulc
2021-05-09  4:05 Sam James
2021-04-22 12:25 Miroslav Šulc
2021-04-22 12:23 Sam James
2021-04-22 12:08 Sam James
2021-04-22  2:59 Sam James
2021-04-20 23:35 Sam James
2021-04-20 23:35 Sam James
2021-04-20 23:35 Sam James
2021-04-20 23:35 Sam James
2021-03-24 15:29 Lars Wendler
2021-03-24 15:29 Lars Wendler
2021-01-24 13:33 Sam James
2021-01-20  9:30 Sam James
2021-01-20  9:29 Sam James
2021-01-20  0:34 Sam James
2021-01-20  0:34 Sam James
2021-01-20  0:33 Sam James
2021-01-20  0:05 Sam James
2021-01-06 21:29 Brian Evans
2021-01-06 14:31 Fabian Groffen
2020-12-25 12:11 Lars Wendler
2020-12-25 12:11 Lars Wendler
2020-10-22 12:22 Alexis Ballier
2020-10-03 12:16 Sergei Trofimovich
2020-07-09  8:04 Agostino Sarubbo
2020-07-09  1:18 Sam James
2020-07-08  7:18 Sergei Trofimovich
2020-07-08  7:11 Sergei Trofimovich
2020-07-07  6:58 Sergei Trofimovich
2020-07-05 20:53 Lars Wendler
2020-07-05 20:53 Lars Wendler
2020-03-25  5:24 Georgy Yakovlev
2019-11-05 14:37 Lars Wendler
2019-11-05 14:37 Lars Wendler
2019-08-23 23:01 Lars Wendler
2019-07-19  7:46 Lars Wendler
2018-09-20 15:22 Andreas Sturmlechner
2018-09-19 17:41 Markus Meier
2018-09-13 14:31 Tobias Klausmann
2018-09-04 18:38 Sergei Trofimovich
2018-08-25 18:55 Sergei Trofimovich
2018-08-25 18:25 Sergei Trofimovich
2018-08-25 18:11 Sergei Trofimovich
2018-08-24  2:16 Mikle Kolyada
2018-08-24  1:40 Thomas Deutschmann
2018-08-22 22:41 Andreas Sturmlechner
2018-08-22 22:41 Andreas Sturmlechner
2018-05-08 18:43 Sergei Trofimovich
2018-02-28  9:29 Lars Wendler
2017-12-03 12:33 Lars Wendler
2017-12-03 12:33 Lars Wendler
2017-11-11 20:38 Aaron Bauman
2017-10-24 20:04 Markus Meier
2017-10-22 17:51 Sergei Trofimovich
2017-10-21 10:19 Sergei Trofimovich
2017-10-20 19:43 Sergei Trofimovich
2017-10-19 12:48 Manuel Rüger
2017-10-19 12:00 Thomas Deutschmann
2017-10-09 17:16 Sergei Trofimovich
2017-10-02  9:08 Lars Wendler
2017-10-02  9:08 Lars Wendler
2017-09-26 22:28 Sergei Trofimovich
2017-09-26  8:55 Sergei Trofimovich
2017-08-31 13:12 Tim Harder
2017-08-18 19:43 Thomas Deutschmann
2017-08-11 23:20 Lars Wendler
2017-08-11 23:20 Lars Wendler
2017-08-09  8:36 Lars Wendler
2017-08-09  8:36 Lars Wendler
2017-07-25 11:33 Lars Wendler
2017-07-24  7:34 Lars Wendler
2017-07-24  7:34 Lars Wendler
2017-07-15 11:29 Sergei Trofimovich
2017-07-15  9:57 Tobias Klausmann
2017-07-14  4:56 Markus Meier
2017-07-12  8:45 Lars Wendler
2017-07-12  8:45 Lars Wendler
2017-07-03  9:08 Lars Wendler
2017-07-03  9:08 Lars Wendler
2017-06-10 15:10 Agostino Sarubbo
2017-06-01  9:09 Alexis Ballier
2017-05-06  7:24 Markus Meier
2017-04-22 13:21 Jeroen Roovers
2017-04-22  7:33 Tobias Klausmann
2017-03-06 11:54 Lars Wendler
2017-03-06 11:54 Lars Wendler
2017-02-07 12:12 Alexis Ballier
2017-01-14 12:43 Jeroen Roovers
2016-12-24 10:26 Agostino Sarubbo
2016-12-22  9:34 Agostino Sarubbo
2016-12-20  9:44 Agostino Sarubbo
2016-12-19 15:12 Agostino Sarubbo
2016-12-19 14:35 Agostino Sarubbo
2016-12-18 15:57 Agostino Sarubbo
2016-12-17 12:12 Aaron Bauman
2016-12-14  9:14 Tobias Klausmann
2016-09-27 11:55 Lars Wendler
2016-09-24 22:18 Lars Wendler
2016-09-24 22:18 Lars Wendler
2016-06-30  8:30 Alexis Ballier
2016-05-30 12:28 Tobias Klausmann
2016-05-24  9:20 Lars Wendler
2016-05-24  9:20 Lars Wendler
2016-04-10  8:37 Jeroen Roovers
2016-04-03 19:00 Markus Meier
2016-03-26 16:39 Agostino Sarubbo
2016-03-23  9:14 Lars Wendler
2016-03-23  9:14 Lars Wendler
2016-02-24  8:43 Lars Wendler
2016-02-15  8:01 Lars Wendler
2016-02-15  8:01 Lars Wendler
2015-08-13  7:13 Lars Wendler
2015-08-13  7:13 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1519810129.ba71f33ff7c203d087eb093c60f03c449d6374dc.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox